Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Auto_Basic_Ptr Class Template Reference

Implements the draft C++ standard auto_ptr abstraction. This class allows one to work on non-object (basic) types. More...

`#include <Auto_Ptr.h>`

Inheritance diagram for ACE_Auto_Basic_Ptr:

[legend]
Collaboration diagram for ACE_Auto_Basic_Ptr:

[legend]
List of all members.

## Public Methods
ACE_EXPLICIT | ACE_Auto_Basic_Ptr (X *p=0)
| ACE_Auto_Basic_Ptr (ACE_Auto_Basic_Ptr< X > &ap)
ACE_Auto_Basic_Ptr< X > & | operator= (ACE_Auto_Basic_Ptr< X > &rhs)
| ~ACE_Auto_Basic_Ptr (void)
X & | operator * () const
X * | get (void) const
X * | release (void)
void | reset (X *p=0)
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Protected Attributes
X * | p_

## Detailed Description

### template<class X>
class ACE_Auto_Basic_Ptr< X >

Implements the draft C++ standard auto_ptr abstraction. This class allows one to work on non-object (basic) types.

## Constructor & Destructor Documentation

template<class X>
ACE_EXPLICIT ACE_Auto_Basic_Ptr< X >::ACE_Auto_Basic_Ptr | ( | X * | p = 0 | ) | `[inline]`

template<class X>
ACE_INLINE ACE_Auto_Basic_Ptr< X >::ACE_Auto_Basic_Ptr | ( | ACE_Auto_Basic_Ptr< X > & | rhs | ) |

template<class X>
ACE_INLINE ACE_Auto_Basic_Ptr< X >::~ACE_Auto_Basic_Ptr | ( | void |  | ) |

## Member Function Documentation

template<class X>
void ACE_Auto_Basic_Ptr< X >::dump | ( | void |  | ) | const

| Dump the state of an object.

template<class X>
ACE_INLINE X * ACE_Auto_Basic_Ptr< X >::get | ( | void |  | ) | const

template<class X>
ACE_INLINE X & ACE_Auto_Basic_Ptr< X >::operator * | ( |  | ) | const

template<class X>
ACE_INLINE ACE_Auto_Basic_Ptr< X > & ACE_Auto_Basic_Ptr< X >::operator= | ( | ACE_Auto_Basic_Ptr< X > & | rhs | ) |

template<class X>
ACE_INLINE X * ACE_Auto_Basic_Ptr< X >::release | ( | void |  | ) |

template<class X>
ACE_INLINE void ACE_Auto_Basic_Ptr< X >::reset | ( | X * | p = 0 | ) |

## Member Data Documentation

template<class X>
ACE_Auto_Basic_Ptr::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<class X>
X* ACE_Auto_Basic_Ptr::p_`[protected]`

The documentation for this class was generated from the following files:

- Auto_Ptr.h
- Auto_Ptr.cpp
- Auto_Ptr.i